package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.MkStoreCampMinusLevelDao;
import com.kmall.admin.entity.mk.store.MkStoreCampMinusLevelEntity;
import com.kmall.admin.service.mk.store.MkStoreCampMinusLevelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店满减活动层级表，活动减免类型为00：按满足最高层级减一次时增加的活动层级数据Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:29
 */
@Service("mkStoreCampMinusLevelService")
public class MkStoreCampMinusLevelServiceImpl implements MkStoreCampMinusLevelService {
    @Autowired
    private MkStoreCampMinusLevelDao mkStoreCampMinusLevelDao;

    @Override
    public MkStoreCampMinusLevelEntity queryObject(Integer campMinusLevelId) {
        return mkStoreCampMinusLevelDao.queryObject(campMinusLevelId);
    }

    @Override
    public List<MkStoreCampMinusLevelEntity> queryList(Map<String, Object> map) {
        return mkStoreCampMinusLevelDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkStoreCampMinusLevelDao.queryTotal(map);
    }

    @Override
    public int save(MkStoreCampMinusLevelEntity mkStoreCampMinusLevel) {
        return mkStoreCampMinusLevelDao.save(mkStoreCampMinusLevel);
    }

    @Override
    public int update(MkStoreCampMinusLevelEntity mkStoreCampMinusLevel) {
        return mkStoreCampMinusLevelDao.update(mkStoreCampMinusLevel);
    }

    @Override
    public int delete(Integer campMinusLevelId) {
        return mkStoreCampMinusLevelDao.delete(campMinusLevelId);
    }

    @Override
    public int deleteBatch(Integer[] campMinusLevelIds) {
        return mkStoreCampMinusLevelDao.deleteBatch(campMinusLevelIds);
    }
}
